How to create an application proyect with QT 4.6?



  • Hello everyone,

    I've just installed QT creator 4.6 in my computer and I'm looking for tutorials to learn QT, but the problem is that I can't create an application project because in the "create project or file" menu doesn't appear this option. I don't know why. Any one knows if this menu has changed?

    Thanks a lot.



  • 4.6 is the version of Qt. Which version of Qt Creator are you using?


  • Moderators

    What exactly did you install where?

    If you installed Qt Creator only then you will most likely not have any Qt to work with. Without a Qt version installed and set up in Creator it will not offer to create Qt applications for you. Please download a recent Qt version (4.8.3), install it and then go to "Tools > Options > Build & Run > Qt Versions" (on mac that is Qt Creator > Preferences > ... IIRC). If you got the latest and greatest Creator you will also need to register this new Qt version in the Kits section (those are in the same set of tabs as Qt version). Just select the desktop kit and change its Qt version.



  • Hello everyone,
    thanks for your answers. This is very strange. I've downloaded and installed the lastest SDK version for Qt from the tq project website's. It is 2.6.0 for Windows. After that, I've installed the lastest version of MinGW from here: http://sourceforge.net/projects/mingw/files/

    But, when I try to create a new project with QT creator environment I can't. Anyone knows if is neccessary download anything else?

    Many thanks



  • [quote author="alex24" date="1352714071"]
    thanks for your answers. This is very strange. I've downloaded and installed the lastest SDK version for Qt from the tq project website's. It is 2.6.0 for Windows. After that, I've installed the lastest version of MinGW from here: http://sourceforge.net/projects/mingw/files/
    [/quote]

    If you are a beginner I would suggest you to download and install Qt SDK. It includes everything you need. Unfortunately due to transition of Qt from Nokia to Digia the SDK can be only downloaded from Nokia Developer. "Please click this link for details":http://www.developer.nokia.com/info/sw.nokia.com/id/da8df288-e615-443d-be5c-00c8a72435f8/Qt_SDK.html.



  • Hello,
    I've got resolve the problem :). I've installed an old version of Qt SDK and all is works now.

    Now is the moment to study a lot of tutorials.

    Thank you very much


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.